@import url("https://fonts.googleapis.com/css2?family=Exo+2:wght@300;700;900&display=swap");

:root{
    --body-backg-color: rgb(247, 250, 255);
    --card-backg-color: rgb(239, 246, 252);
    --header-backg-color: rgb(217, 244, 253);
    --menu-item-color: rgb(27, 107, 212);
    --menu-item-color-hover: rgb(32, 14, 39);
    --danger-color: rgb(217, 12, 12);
    --backg-msg-danger-color: rgb(255, 208, 208);
    --success-color: rgb(39, 156, 18);
    --backg-msg-success-color: rgb(222, 254, 180);
    --info-color: rgb(238, 163, 24);
    --backg-msg-info-color: rgb(255, 246, 232);
    --danger-color-hover: rgb(147, 13, 13);    
    --published-color: rgb(74, 192, 41);

    --white-color: rgb(255, 255, 255);
    --black-color: rgb(37, 37, 37);
    --grey-color: rgb(226, 225, 225);
    --grey-deep-color : rgb(85, 85, 85);
    --yellow-color: rgb(236, 187, 38);
    --li-hover-color: rgb(247, 248, 223);
    --li-hover-backg: rgb(253, 255, 200);
    --li-a-color: rgb(5, 123, 144);
    --body-color: rgb(17, 89, 184);
    --h1-color: rgb(7,95,211);
    --h2-color: rgb(7, 95, 211);
    --hr-color: rgb(17, 107, 225);
    --link-color: rgb(54, 159, 113);
    --link-color-hover: rgb(0, 149, 255);
    --span-normal-color: rgb(147, 13, 13);
    --span-soft-color: rgb(42, 174, 226);

    --border-width: 1px;
}

/* ***************************** */
/*        ELEMENTS RULES         */
/* ***************************** */

body {
  font-family: "Exo 2", sans-serif;
  font-size: 1.1rem;
  background-color: var(--body-backg-color);
  color: var(--body-color)
}

footer, .footer {
    margin-top: 3rem !important;
    text-align: center;
    font-size: 0.9rem;
    padding: 0 1rem;
   
}

h2 {
    color: var(--h2-color);
}

h1 {
    text-align: center;
    color: var(--h1-color);
    margin-bottom: 2rem;
}

h1.title {
    text-align: center;
    margin-bottom: 2.2rem;
    color: var(--menu-item-color);
    border: 1px solid var(--menu-item-color);
    padding: 1.2rem;
    border-radius: 5px;
}

a:hover {
    text-decoration: none;
    color: var(--menu-item-color-hover);
}

hr {
    margin: 1rem 0;
    border: var(--border-width) solid var(--hr-color);
    opacity: .25;
}

ul {
    margin: auto;
    max-width: 70%;
    list-style-type: none;
}

li {

    display: inline-block;
    border : 1px solid var(--grey-color);
    border-radius: 5px;   
    padding: 3px;
    margin: 0 0 7px 0;
    color: var(--body-color);
    background-color: var(--white-color);
}

nav.menu {
    max-width: 50%;
    margin: auto;
    margin-bottom: 2rem;
}

li:hover {
    /*background-color: var(--grey-color);*/
    cursor: pointer;    
    /*box-shadow: 5px 5px 7px 1px #BABABA;*/
}

li a {    
    text-decoration: none;
    color: var(--link-color-hover) !important;    
    display: block;
}

li a:hover {
    text-decoration: none;    
    color: var(--li-a-color) !important;
}

code {
    background-color: var(--body-backg-color);
    color: var(--danger-color);
    border: 1px solid var(--danger-color);
    border-radius: 5px;
    padding: 5px;
    margin-right: 10px;    
    font-weight: bold;
}

label {
    display: block;
    font-size: 1.1rem;
    font-weight: bold !important;
}


/* ***************************** */
/*         CLASSES RULES         */
/* ***************************** */

.menu-icon{
    display: block;
    width: 32px;
    height: 3px;
    background-color: var(--h1-color);
    margin: 5px 0;
}

.confirm-oui {
    color: var(--danger-color);
    border: 1px solid var(--danger-color);
    border-radius: 5px;
    padding: 0.3rem;
}

.confirm-oui:hover {
    background-color: var(--danger-color-hover);
    color: var(--body-backg-color);
    border: 1px solid var(--danger-color-hover);
    cursor: pointer;
}

.confirm-non{
    color: var(--black-color);
    border: 1px solid var(--black-color);
    border-radius: 5px;
    padding: 0.3rem;
    margin-left: 4rem;
}

.confirm-non:hover {
    background-color: var(--black-color);
    color: var(--white-color);
    border: 1px solid var(--grey-deep-color);
    cursor: pointer;
}

.brand {
    border: 1px solid var(--body-color);
    background: linear-gradient(0.30turn, rgb(42, 83, 120), rgb(137, 179, 224), rgb(45, 101, 123));
    color: var(--white-color) !important;
    margin-right: 1.1rem;
    font-weight: 700;
    padding: 0.3rem;
    border-radius: 5px;
}

.brand:hover  a{
    color: var(--body-color) !important;
    background: linear-gradient(0.30turn, rgb(120, 187, 249), rgb(25, 70, 118), rgb(119, 216, 255));
    text-shadow: 3px 2px 2px var(--black-color);
    cursor: pointer;
}

.material-symbols-outlined {
    font-variation-settings:
    'FILL' 0,
    'wght' 400,
    'GRAD' 0,
    'opsz' 12
}

.div-search {
    margin: auto;
    max-width: 50%;
    text-align: center;
    vertical-align: text-bottom;
    margin-bottom: 2rem;
}

.normal {
    color: var(--span-normal-color) !important;
}

.soft {
    color: var(--span-soft-color);
}

.yellow-color {
    color: var(--yellow-color) !important;
}

.label {
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--body-color);
}

.tutorial {
    background-color: var(--card-backg-color);
    border: 1px solid var(--grey-color);
    border-radius: 1rem;
    padding: 10px;  
    margin-bottom: 1rem;    
    color: var(--black-color);
}

.tutorial a, a {
    text-decoration: none;
    color: var(--link-color)
}

.tutorial a:hover {
    text-decoration: none;
    color: var(--link-color);
}

.tutorial:hover {
    background-color: var(--card-backg-color);
    color: var(--body-color);
    border: 1px solid var(--grey-color);
    box-shadow: 3px 3px 5px -1px #b5b5b5;
   
}

.container {   
    margin: 0 1rem 0 1rem;   
}

.screen {
    margin: auto;
    max-width: 65%;   
}

.btn-classic {
    font-size: 1.2rem;
    background-color: var(--menu-item-color);
    color: var(--white-color);
    border: 1px solid var(--menu-item-color);
    border-radius: 5px;
    padding: 5px;
    margin-right: 10px;    
    font-weight: bold;
}

.btn-classic:hover {
    background-color: var(--link-color-hover);
    color: var(--body-backg-color);
    border: 1px solid var(--menu-item-color-hover);
    cursor: pointer; 
}

.btn-mini {
    font-size: 0.8rem;
    background-color: var(--grey-color);
    color: var(--black-color);
    border: 1px solid var(--grey-color);
    border-radius: 5px;
    padding: 5px;
    margin-right: 10px;        
}

.btn-icon {       
    background-color: var(--grey-color);
    color: var(--black-color);
    border: 1px solid var(--grey-color);
    border-radius: 5px;
    padding: 1px;
    margin-right: 10px;
    vertical-align: bottom;
}

.btn-mini:hover, .btn-icon:hover {
    background-color: var(--card-backg-color);
    color: var(--black-color);
    border: 1px solid var(--menu-item-color-hover);
}

.btn-danger {
    background-color: var(--danger-color)!important;
    color: var(--body-backg-color) !important;
    border: 1px solid var(--danger-color)!important;
}

.btn-danger:hover {
    background-color: var(--danger-color-hover)!important;
    color: var(--body-backg-color)!important;
    border: 1px solid var(--danger-color-hover)!important;
}

.menu {
    list-style-type: none;   
    padding-left: 0; 
    margin-bottom: 2rem;
}

.menu a {
    text-decoration: none;
    border: 1px solid var(--menu-item-color);
    border-radius: 5px;
    color: var(--menu-item-color);
    padding: 3px;
    margin-right: 10px;
 }

.menu a:hover {
    color: var(--menu-item-color-hover);
    border: 1px solid var(--menu-item-color-hover);
    background-color: var(--menu-item-color);
    color: var(--body-backg-color);
    font-weight: 500;
}

.msg-success {
    margin: auto;
    padding: 0.5rem;
    font-size: 1.3rem;
    text-align: center;
    color: var(--success-color);
    background-color: var(--backg-msg-success-color);
    border: 1px solid var(--success-color);
    border-radius: 5px;
    width: 80%;   
}

.msg-error {
    margin: auto;
    margin-bottom: 1rem;
    padding: 0.5rem;
    font-size: 1.3rem;
    text-align: center;
    color: var(--danger-color);
    background-color: var(--backg-msg-danger-color);
    border: 1px solid var(--danger-color);
    border-radius: 5px;
    width: 80%;
}

.msg-info {
    margin: auto;
    margin-bottom: 1rem;
    padding: 0.5rem;
    font-size: 1.3rem;
    text-align: center;
    color: var(--danger-color);
    background-color: var(--backg-msg-info-color);
    border: 1px solid var(--info-color);
    border-radius: 5px;
    width: 80%;
}


.circle-published {
    display: inline-block;
    background: var(--published-color);
    border-radius: 50%;
    width: 15px;
    height: 15px;
    shape-outside: circle();
    clip-path: circle();  
    border: 1px solid black;
    margin-right: 5px;
    vertical-align: middle;
}

.circle-not-published {
    display: inline-block;
    background: var(--danger-color);
    border-radius: 50%;
    width: 15px;
    height: 15px;  
    shape-outside: circle();
    clip-path: circle();
    border: 1px solid black;
    margin-right: 5px;
    vertical-align: middle;
}

.mt-15 {
    margin-top: 1.5rem;
}

.mb-20 {
    margin-bottom: 2rem;
}

.welcome {
    text-align: center;
    font-size: .750rem;
    margin-bottom: 1rem;
}

.welcome > span {
    color: var(--link-color);
}

.collapsible {    
    cursor: pointer;    
}
  
.active, .collapsible:hover {
    color: var(--link-color);
}
  
.content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

.submenu {
    text-decoration: none;
    color: var(--black-color) !important;   
    padding: 3px;
    margin-right: 10px;
}

.danger {
    color: var(--danger-color) !important;    
}

.submenu:hover {
    text-decoration: none;
    color: var(--link-color-hover) !important;
    font-weight: 500;
}

.close {
    color: var(--grey-deep-color) !important;
    font-size: 0.6rem;
    font-weight: bold;
    float: right;
    border: 1px solid var(--grey-deep-color);
    border-radius: 5px;
    padding: 0.2rem;
    width: 1.2rem;
}

.close:hover {
    color: var(--black-color) !important;
    border: 1px solid var(--black-color);   
    cursor: pointer;
}

.white {
    color: var(--white-color) !important;
}

/* ***************************** */
/*           IDs RULES           */
/* ***************************** */

#scrollToTop {
    display: none; 
    position: fixed; 
    bottom: 20px; 
    right: 30px; 
    z-index: 99; 
    border: none; 
    outline: none;
    background-color: var( --h1-color); 
    color: var(--white-color);
    cursor: pointer; 
    padding: 15px; 
    border-radius: 10px; 
    font-size: 18px; 
  }
  
#scrollToTop:hover {
    background-color: #555; 
}

#header-logo {
    color: var(--menu-item-color);
    border: 1px solid var(--menu-item-color);
    background-color: var(--header-backg-color);
    border-radius: 5px;
    text-align: center;
    max-width: 55%;    
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 1rem;
    margin-top: 0.8rem;
}

#main-menu {
    display: block;  
    margin: 0;
    text-align: center;
}

#main-menu ul {        
    list-style-type: none; 
}

#main-menu ul li {
    display: inline;    
    margin: 0 !important;   
}

#content-login{
    display: block;
    width: 55%;
    margin: auto;
}

#content-addform{
    display: block;
    width: 75%;
    margin: auto;
}

/* ***************************** */
/*        RESPONSIVE MENU        */
/* ***************************** */

.topnav {
  background-color: var(--body-backg-color);
  overflow: hidden;
  border-bottom: 1px solid var(--hr-color);
}

.topnav a {
  float: left;
  display: block;
  color: var(--li-a-color);
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

.topnav a:hover {
  border-bottom: 2px solid var(--hr-color);
  color: var(--h1-color);
}

.topnav .icon {
  display: none;
} 

/* ***************************** */
/*          FORM RULES           */
/* ***************************** */

label {
    display: block;
    font-size: 1.1rem;
    font-weight: bold !important;
}

.form-login { 
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--body-color);    
    background-color: var(--body-backg-color);
    background-clip: padding-box;
    border: var(--border-width) solid var(--body-color);
    border-radius: 5px;
    margin-bottom: 1.5rem;        
}

.form-add { 
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--body-color);    
    background-color: var(--body-backg-color);
    background-clip: padding-box;
    border: var(--border-width) solid var(--body-color);
    border-radius: 5px;
    margin-bottom: 0.8rem;        
}

input[type="text"], select, input[type="url"], input[type="password"], input[type="checkbox"], input[type="file"], textarea {
    background-color: var(--white-color) !important;
    font-weight: bold !important;
    color: var(--grey-deep-color) !important;
    display: block;
    width: 100%;    
}

input[type="radio"] {
    width: 20px;
    height: 20px;
    display: inline;
}

.form-control {
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    padding-right: 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: var(--grey-deep-color);
    background-color: var(--white-color);
    background-image: none;
    border: 1px solid var(--grey-color);
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.form-control-feedback {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
    display: block;
    width: 34px;
    height: 34px;
    line-height: 34px;
    text-align: center;
    pointer-events: none;
}

.form-group {
    margin-bottom: 15px;  
}

.has-feedback {
    position: relative;
}

.row {
    margin-right: -15px;
    margin-left: -15px;
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0,0,0,0);
    border: 0;
  }

  .label-radio {
    display: inline-block;
    margin-right: 10px;
    margin-left: 10px;
    font-size: 1.1rem;
    font-weight: bold !important;
  }

/* ***************************** */
/*          SEARCH BAR           */
/* ***************************** */

.search-form .form-group {
    float: right !important;
    transition: all 0.35s, border-radius 0s;
    width: 150px;
    /*height: 32px;*/
    background-color: var(--yellow-color);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    border-radius: 5px;
    border: 1px solid var(--grey-color);
}

.search-form .form-group:hover {
    width: 250px;   
}

.search-form .form-group input.form-control {
    padding-right: 32px;
    background: transparent;
    display:block;
    border: 0 none;
    box-shadow: none;
}

.search-form .form-group span.form-control-feedback {
    position: absolute;
    top: -1px;
    right: -2px;
    z-index: 2;
    display: block;
    width: 34px;
    height: 34px;
    line-height: 34px;
    text-align: center;
    color: #3596e0;
    left: initial;
    /*font-size: 14px;*/
}

.form-search-reinit-btn {    
    float: right !important;
    padding: 0.220rem 0.220rem;
    background-color: var(--white-color);    
    border-radius: 5px;
    margin-right: 0.220em;
    border: 1px solid var(--grey-color);
    color: var(--link-color-hover) !important;
    /*display:inherit;*/
}


/* ***************************** */
/*            TOOLTIP            */
/* ***************************** */

.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted var(--link-color-hover); /* If you want dots under the hoverable text */
  }
  
  .tooltip .tooltiptext {   
    visibility: hidden;
    width: 120px;
    background-color: var(--grey-deep-color);
    color: var(--white-color);
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    
    /* Position the tooltip */
    position: absolute;
    z-index: 1;
    top: 100%;
    left: 50%;
    margin-top: 10px;
    margin-left: -60px;
  }

  .tooltip .tooltiptext-right {
    visibility: hidden;
    width: 120px;
    background-color: var(--grey-deep-color);
    color: var(--white-color);
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    
    /* Position the tooltip */
    position: absolute;
    z-index: 1;
    top: 100%;
    left: 100%;
    margin-top: 10px;
    margin-left: -10px;
  }

  .tooltip .tooltiptext-menu {
    visibility: hidden;
    width: 120px;
    background-color: var(--grey-deep-color);
    color: var(--white-color);
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    
    /* Position the tooltip */
    position: absolute;
    z-index: 1;
    top: 100%;
    left: 100%;
    margin-top: -35px;
    margin-left: 100px;
  }
  
  .tooltip:hover .tooltiptext, .tooltip:hover .tooltiptext-right, .tooltip:hover .tooltiptext-menu{
    visibility: visible;
  }

/* ***************************** */
/*          MEDIA QUERIES        */
/* ***************************** */

/* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). 
Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 894px) {
 .topnav a:not(:first-child) {display: none;}
 .topnav a.icon {
   float: right;
   display: block;
 }

 .screen {   
    max-width: 100%;    
  }
  
  #content-login {   
    width: 100%;    
  }

  #content-addform {  
    width: 100%;   
  }

}
  
/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. 
This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 894px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive a.icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
} 